%define version	3.2.2
%define	rel	1

#comment out if not prerelease
#define	pre	beta2

%define major 		1
%define libname 	%mklibname audcore %{major}

%define major2 		2
%define libname2 	%mklibname audclient %{major2}

%define devname		%mklibname %{name} -d

Summary:	A versatile and handy media player
Name:		audacious
Version:	%{version}
Release:	%mkrel %{?pre:0.%pre.}%{rel} 
Epoch:		5
Source0:	http://distfiles.audacious-media-player.org/%{name}-%{version}%{?pre:-%pre}.tar.gz
Patch2:		audacious-3.2-alpha1-gmodule-pkgconfig.patch
License:	GPLv3+
Group:		Sound
Url:		http://audacious-media-player.org/
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libguess)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	desktop-file-utils
Suggests:	audacious-pulse
Requires:	audacious-plugins
Requires(post):		desktop-file-utils
Requires(postun):	desktop-file-utils

%description
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

%package -n %{libname}
Group:		System/Libraries
Summary:	Core engine library for %{name}
Obsoletes:	%{_lib}audacious1 < %{epoch}:%{version}

%description -n %{libname}
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

This package contains the library needed by %{name}.

%package -n %{libname2}
Group:		System/Libraries
Summary:	Dbus remote control library for %{name}
Obsoletes:	%{_lib}audacious2 < %{epoch}:%{version}

%description -n %{libname2}
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

This package contains the library needed by %{name}.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Requires:	%{libname2} = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%{mklibname -d %{name} 5}

%description -n %{devname}
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

This package contains the files needed for developing applications
which use %{name}.

%prep
%setup -q -n %{name}-%{version}%{?pre:-%pre}
%apply_patches

#fix encoding
mv README README.orig
iconv -f ISO8859-1 -t UTF-8 README.orig -o README

%build
%configure2_5x \
	--enable-chardet \
	--disable-rpath \
	--enable-gtk3 \
	--with-buildstamp="%{_vendor} %{distro_release} package"

%make

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install \
	--vendor="" \
	--remove-category="Application" \
	--add-category="Audio" \
	--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/*

%find_lang %{name}

#clean some files/dirs
rm -rf %{buildroot}%{_datadir}/%{name}/applications/
rm -rf %{buildroot}%{_includedir}/mp4.h

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README
%{_bindir}/audtool
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/audacious.*
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libaud*.so.%{major}*

%files -n %{libname2}
%defattr(-,root,root)
%{_libdir}/libaudclient.so.%{major2}*

%files -n %{devname}
%defattr(-,root,root)
%{_includedir}/%{name}
%{_includedir}/libaudcore
%{_includedir}/libaudgui
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog

* Sun Apr 15 2012 luigiwalser <luigiwalser> 5:3.2.2-1.mga2
+ Revision: 230829
- 3.2.2

* Sat Feb 18 2012 wally <wally> 5:3.2.1-1.mga2
+ Revision: 210292
- new version 3.2.1

* Mon Jan 23 2012 wally <wally> 5:3.2-1.mga2
+ Revision: 200274
- new version 3.2

* Tue Jan 10 2012 wally <wally> 5:3.2-0.beta2.1.mga2
+ Revision: 194670
- new version 3.2 beta2

* Fri Dec 30 2011 wally <wally> 5:3.2-0.beta1.1.mga2
+ Revision: 189046
- new version 3.2 beta1

* Mon Dec 26 2011 wally <wally> 5:3.2-0.alpha1.1.mga2
+ Revision: 187764
- new version 3.2 alpha1
- add buildstamp configure option
- add gmodule-2.0 patch from Fedora
- drop unused xmms patch
- clean BRs (and .spec)

* Tue Dec 06 2011 wally <wally> 5:3.1.1-1.mga2
+ Revision: 177365
- new version 3.1.1

* Thu Nov 10 2011 wally <wally> 5:3.1-1.mga2
+ Revision: 166201
- new version 3.1 final

* Sun Oct 30 2011 wally <wally> 5:3.1-0.beta3.1.mga2
+ Revision: 159953
- new version 3.1 beta3
- drop old provides
- drop old configure option

* Mon Oct 17 2011 wally <wally> 5:3.1-0.beta2.1.mga2
+ Revision: 155873
- new version 3.1 beta2

* Tue Oct 11 2011 wally <wally> 5:3.1-0.beta1.1.mga2
+ Revision: 153953
- new version 3.1 beta1

* Fri Sep 23 2011 wally <wally> 5:3.1-0.alpha1.1.mga2
+ Revision: 147079
- clean BRs
- new version 3.1 alpha1

* Tue Sep 20 2011 wally <wally> 5:3.0.3-1.mga2
+ Revision: 146029
- new version 3.0.3
- new version 3.0.2
- new version 3.0.1
- rename lib packages
- fix lib package summaries
- drop old obsoletes/provides

* Mon Jul 18 2011 wally <wally> 5:3.0-1.mga2
+ Revision: 125989
- final version 3.0

* Wed Jul 13 2011 wally <wally> 5:3.0-0.beta1.1.mga2
+ Revision: 123819
- new version 3.0 beta1

* Sun Jun 26 2011 wally <wally> 5:3.0-0.alpha1.1.mga2
+ Revision: 114072
- new version 3.0 alpha1
- clean .spec

* Tue Jun 07 2011 dmorgan <dmorgan> 5:2.5.1-1.mga2
+ Revision: 101557
- New version
  Adapt buildrequires
  Fix file list

* Fri Mar 04 2011 ennael <ennael> 5:2.4.4-1.mga1
+ Revision: 63928
- imported package audacious

